
/*  @(#)iseps.c 1.2 95/07/07
 *
 *  Copyright (c) Mikael Cam.
 *                All rights reserved.
 *
 *  Permission is given to distribute these sources, as long as the
 *  copyright messages are not removed, and no monies are exchanged.
 *
 *  No responsibility is taken for any errors inherent either
 *  to the comments or the code of this program, but if reported
 *  to me then an attempt will be made to fix them.
 */

#define  EPS "EPS"
#define  EPSE   'E' 
#define MAXLINE 4096
#define EOS '\0'
#include <stdio.h>
#include <string.h>
#include <X11/Xos.h>
#include <stdlib.h>
#define  True   1
#define  False  0

char *usage = "Usage: iseps [input_file] (else stdin)\n";

int iseps(char *filename)
{

  char *ERR[] = 
    {
      "Erreur lors de l'ouverture du fichier source\n",
    };	  



  FILE *fp;
  char lignecour[MAXLINE];
  int k;
  char *pte;
   

  if(!strcmp(filename, "stdin")) fp = stdin;
  else
    if (!(fp = fopen(filename, "r")))
      {
	fprintf(stderr, "%s", ERR[0]);
	exit(-1);
      } 
  

  if(!fgets(lignecour, MAXLINE, fp)) lignecour[0] = EOS;
  if(pte = index(lignecour, EPSE))
    {
/* Does the file's header contains the EPS word ? */ 

      if(!strncmp(pte, EPS, strlen(EPS)))
	{
	  fclose(fp);
	  exit(1);
	}
    }
  fclose(fp);
  exit(0);

  
}

int main(int argc, char *argv[])
{
  char fichier[50];
  switch (argc)
    {
    case 1: strcpy(fichier, "stdin"); break;
    case 2: strcpy(fichier, argv[1]); break;
    default: fprintf(stderr, "%s", usage); exit(1);
    }
  iseps(fichier);
}








